import { Column, Entity, Index, OneToMany } from 'typeorm';
import { ProfiliEntity } from './profili.entity';

@Index('pk_ruoli', ['id'], { unique: true })
@Entity('ruoli')
export class RuoliEntity {
  @Column('int', { primary: true, name: 'id' })
  id: number;

  @Column('varchar', { name: 'nome', unique: true, length: 255 })
  nome: string;

  @Column('varchar', { name: 'descrizione', length: 255 })
  descrizione: string;

  @OneToMany(() => ProfiliEntity, (profiliEntity) => profiliEntity.ruolo)
  profili: ProfiliEntity[];

  constructor(init?: Partial<RuoliEntity>) {
    Object.assign(this, init);
  }
}
